package com.fjhx.mes.entity.border.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 线边管理
 * </p>
 *
 * @author
 * @since 2023-03-31
 */
@Getter
@Setter
@TableName("border_of_line")
public class BorderOfLine extends BasePo {

    /**
     * 物料id
     */
    private Long productId;

    /**
     * 线边数量
     */
    private BigDecimal quantity;

}
