package com.fjhx.sale.entity.sample.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 样品单-收费项目
 * </p>
 *
 * @author
 * @since 2023-05-05
 */
@Getter
@Setter
@TableName("sample_project")
public class SampleProject extends BasePo {

    /**
     * 样品单ID
     */
    private Long sampleId;

    /**
     * 收费项目
     */
    private String payName;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

}
