package com.fjhx.victoriatourist.mapper.excess;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.po.ExcessGoodsRegister;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsRegisterVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 多货登记临时表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-27
 */
public interface ExcessGoodsRegisterMapper extends BaseMapper<ExcessGoodsRegister> {

    /**
     * 多货登记临时表列表
     */
    List<ExcessGoodsRegisterVo> getList(@Param("ew") IWrapper<ExcessGoodsRegister> wrapper);

    /**
     * 多货登记临时表分页
     */
    Page<ExcessGoodsRegisterVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ExcessGoodsRegister> wrapper);

}
