package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdOrderDetails;
import com.fjhx.victoriatourist.entity.jd.vo.JdOrderDetailsVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东订单明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface JdOrderDetailsMapper extends BaseMapper<JdOrderDetails> {

    Page<JdOrderDetailsVo> getPage(@Param("ew") QueryWrapper<Object> wrapper, @Param("page") Page<Object> page);

}
