package com.fjhx.victoriatourist.service.excess;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsInfoDto;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsInfoSelectDto;
import com.fjhx.victoriatourist.entity.excess.po.ExcessGoodsInfo;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsInfoVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 多货登记 服务类
 * </p>
 *
 * @author
 * @since 2024-03-27
 */
public interface ExcessGoodsInfoService extends BaseService<ExcessGoodsInfo> {

    /**
     * 多货登记列表
     */
    List<ExcessGoodsInfoVo> getList(ExcessGoodsInfoSelectDto dto);

    /**
     * 多货登记分页
     */
    Page<ExcessGoodsInfoVo> getPage(ExcessGoodsInfoSelectDto dto);

    /**
     * 多货登记明细
     */
    ExcessGoodsInfoVo detail(Long id);

    /**
     * 多货登记新增
     */
    void add(ExcessGoodsInfoDto excessGoodsInfoDto);

    /**
     * 多货登记编辑
     */
    void edit(ExcessGoodsInfoDto excessGoodsInfoDto);

    /**
     * 多货登记删除
     */
    void delete(Long id);

}
