package com.fjhx.victoriatourist.service.jd;

import com.fjhx.victoriatourist.entity.jd.vo.JdInfoVo;
import com.fjhx.victoriatourist.entity.jd.vo.TellBackOrderVO;

public interface JdApiService {

    JdInfoVo validJdInfo();

    /**
     * 通过code获取AccessToken
     */
    void getAccessTokenByCode(String code);

    /**
     * 构造jd登录地址
     */
    String build2LoginUrl();

    /**
     * 订单回告
     */
    void tellBackOrder(TellBackOrderVO tellBackOrderVO);

    /**
     * 开始京东订单采集
     */
    void startJdOrder(JdInfoVo jdInfoVo);

    /**
     * 开始京东退货单采集
     */
    void startJdBackOrder(JdInfoVo jdInfoVo);

    /**
     * 刷新京东状态
     */
    void refreshJdState(JdInfoVo jdInfoVo);

    /**
     * 初始化租户字典表
     */
    void initTenantDict();

    /**
     * 补偿商品id为空
     */
    void compensatingProductNon();

}
