package com.fjhx.wms.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.po.StockCheckRegister;
import com.fjhx.wms.entity.stock.vo.StockCheckRegisterVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 库存盘点登记 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-26
 */
public interface StockCheckRegisterMapper extends BaseMapper<StockCheckRegister> {

    /**
     * 库存盘点登记列表
     */
    List<StockCheckRegisterVo> getList(@Param("ew") IWrapper<StockCheckRegister> wrapper);

    /**
     * 库存盘点登记分页
     */
    Page<StockCheckRegisterVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockCheckRegister> wrapper);

}
