package com.fjhx.sale.entity.sample.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 样品单-出货计划
 * </p>
 *
 * @author
 * @since 2023-05-05
 */
@Getter
@Setter
@TableName("sample_shipment")
public class SampleShipment extends BasePo {

    /**
     * 样品单ID
     */
    private Long sampleId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 出货日期
     */
    private Date shipmentTime;

    /**
     * 出货数量
     */
    private BigDecimal quantity;

    /**
     * 备注
     */
    private String remark;

}
