package com.fjhx.victoriatourist.entity.excess.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 多货登记临时表
 * </p>
 *
 * @author
 * @since 2024-03-27
 */
@Getter
@Setter
@TableName("excess_goods_register")
public class ExcessGoodsRegister extends BasePo {

    /**
     * 待入库id
     */
    private Long stockWaitId;

    @NotNull(message = "多货登记产品id为空")
    private Long excessGoodsDetailsId;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    private BigDecimal quantity;

}
