package com.fjhx.victoriatourist.mapper.excess;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.po.ExcessGoodsDetails;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 多货登记明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-27
 */
public interface ExcessGoodsDetailsMapper extends BaseMapper<ExcessGoodsDetails> {

    /**
     * 多货登记明细列表
     */
    List<ExcessGoodsDetailsVo> getList(@Param("ew") IWrapper<ExcessGoodsDetails> wrapper);

    /**
     * 多货登记明细分页
     */
    Page<ExcessGoodsDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ExcessGoodsDetails> wrapper);

}
