package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdOrderSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdOrderDetails;
import com.fjhx.victoriatourist.entity.jd.vo.JdOrderDetailsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 京东订单明细 服务类
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface JdOrderDetailsService extends BaseService<JdOrderDetails> {

    List<JdOrderDetailsVo> findListByJdOrderId(Long id);

    Page<JdOrderDetailsVo> jdOrderDetailExList(JdOrderSelectDto dto);

    void dealEx(JdOrderDetailsVo vo);
}
