package com.fjhx.wms.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.po.StockWaitDetailsCheck;
import com.fjhx.wms.entity.stock.vo.StockWaitDetailsCheckVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 待入库清点 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-25
 */
public interface StockWaitDetailsCheckMapper extends BaseMapper<StockWaitDetailsCheck> {

    /**
     * 待入库清点列表
     */
    List<StockWaitDetailsCheckVo> getList(@Param("ew") IWrapper<StockWaitDetailsCheck> wrapper);

    /**
     * 待入库清点分页
     */
    Page<StockWaitDetailsCheckVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockWaitDetailsCheck> wrapper);

}
